<?xml version="1.0"?>
<!DOCTYPE Configure PUBLIC "-//Jetty//Configure//EN" "https://www.eclipse.org/jetty/configure_10_0.dtd">
<!-- =============================================================== -->
<!-- Configure static content delivery                               -->
<!-- =============================================================== -->
<Configure class="org.eclipse.jetty.server.handler.ContextHandler">
  <Set name="contextPath">/</Set>
  <Set name="handler">
    <New class="org.eclipse.jetty.server.handler.ResourceHandler">
      <Set name="baseResourceAsString"><SystemProperty name="idp.home"/>/static</Set>
      <Set name="dirAllowed">false</Set>
      <Set name="precompressedFormats">
        <Array id="ccfList" type="org.eclipse.jetty.http.CompressedContentFormat">
          <Item>
            <New class="org.eclipse.jetty.http.CompressedContentFormat">
              <Arg type="String">br</Arg><Arg type="String">.br</Arg>
            </New>
          </Item>
          <Item>
            <New class="org.eclipse.jetty.http.CompressedContentFormat">
              <Arg type="String">gzip</Arg><Arg type="String">.gz</Arg>
            </New>
          </Item>
        </Array>
      </Set>
    </New>
  </Set>
</Configure>
